> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_mpi.md).

# runai mpi

alias for mpi management

## Options

```
  -h, --help   help for mpi
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai](/self-hosted/2.20/reference/cli/runai.md) - NVIDIA Run:ai Command-line Interface
* [runai mpi attach](/self-hosted/2.20/reference/cli/runai/runai_mpi_attach.md) - attach to a running container in a mpi training job
* [runai mpi bash](/self-hosted/2.20/reference/cli/runai/runai_mpi_bash.md) - open a bash shell in a mpi training job
* [runai mpi delete](/self-hosted/2.20/reference/cli/runai/runai_mpi_delete.md) - delete mpi training workload
* [runai mpi describe](/self-hosted/2.20/reference/cli/runai/runai_mpi_describe.md) - describe mpi training
* [runai mpi exec](/self-hosted/2.20/reference/cli/runai/runai_mpi_exec.md) - execute a command in a mpi training job
* [runai mpi list](/self-hosted/2.20/reference/cli/runai/runai_mpi_list.md) - list mpi training
* [runai mpi logs](/self-hosted/2.20/reference/cli/runai/runai_mpi_logs.md) - view logs of a mpi training job
* [runai mpi port-forward](/self-hosted/2.20/reference/cli/runai/runai_mpi_port-forward.md) - forward one or more local ports to a mpi training job
* [runai mpi resume](/self-hosted/2.20/reference/cli/runai/runai_mpi_resume.md) - resume mpi training
* [runai mpi submit](/self-hosted/2.20/reference/cli/runai/runai_mpi_submit.md) - submit mpi training
* [runai mpi suspend](/self-hosted/2.20/reference/cli/runai/runai_mpi_suspend.md) - suspend mpi training


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_mpi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
